#include "ostree-watermark.h"

class WaterMark;

class WatermarkManager : public QObject
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "com.kylin.MaintainMode.watermark")

public:
    explicit WatermarkManager();
    ~WatermarkManager();

public Q_SLOTS:
    bool OpenWatermark();
    bool CloseWatermark();
    // color: 0 - 红色 \ 1 - 绿色
    // font: 字体大小
    // pos: 位置 0 - 左上 \ 1 - 右上 \ 2 - 左下 \ 3 - 右下
    bool UpdateWatermark(int color, int font, int pos);
    // bool UpdateWatermark(QColor color, QFont font, WaterMark::waterMarkPosition pos);

private:
    WaterMark *watermark;
};
